Download it now!
Bug 139127 - Crash when deleting page break and undo
Summary: Crash when deleting page break and undo
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.2
Keywords:
Depends on:
Blocks: tracked-changes-in-margin
  Show dependency treegraph
 
Reported: 2020-12-21 13:33 UTC by NISZ LibreOffice Team
Modified: 2021-01-04 16:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Writer (9.10 KB, application/vnd.oasis.opendocument.text)
2020-12-21 13:33 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-12-21 13:33:02 UTC
Created attachment 168381 [details]
Example file from Writer

Attached file was reduced from attachment #165697 [details] of bug #136903
When the letter on the second page is deleted along the page break, then undone, Writer crashes in changes-on-margin mode, but not if this mode is turned off.

Steps to reproduce:
    1. Open attached document in changes-on-margin
    2. Go to the second page and delete B and the page break
    3. Undo twice

Actual results:
Crash

Expected results:
No crash.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: e57665ea6f812aff9fc87073ce947f40a8b26e9d
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Bibisect does not show much: in 7.1 it was enough to undo this once to get this same crash signature, now it needs two. Sigh.

0x00007FFE8AAC48D6 (0x000000142B1193B0 0x00000014373C9D78 0x0000000000000000 0x0000000000000003), ?SetSeqNo@SwRedlineData@@QEAAXG@Z() + 0xF46 bytes(s)
0x00007FFE8AE7C17C (0x0000000000000201 0x0000000000000001 0x000000142AAACBB0 0x000000143B7C2F80), ??9SwRedlineData@@QEBA_NAEBV0@@Z() + 0xB9BC bytes(s)
0x00007FFE8AE6A6F2 (0x0000000000000001 0x000000141C44EC50 0x000000143BBAD340 0x0000000000000000), ?IsInWriterfilterImport@SwDoc@@QEBA_NXZ() + 0x2B72 bytes(s)
0x00007FFEA328B975 (0x000000143BBAD340 0x000000143B7C3160 0x0000000000000001 0x000000143B8E95E0), ?UndoWithContext@SfxListUndoAction@@UEAAXAEAVSfxUndoContext@@@Z() + 0x55 bytes(s)
0x00007FFEA328A4E5 (0x000000143B75DC48 0x0000001427179670 0x00000014374ABA70 0x000000143B7C3160), ?ImplUndo@SfxUndoManager@@AEAA_NPEAVSfxUndoContext@@@Z() + 0x145 bytes(s)
0x00007FFE8AE51B9B (0x000000142B1193B0 0x000000143B75DC00 0x0000000000000001 0x0000001427179670), ??0SwRewriter@@QEAA@$$QEAV0@@Z() + 0x4EAB bytes(s)
0x00007FFE8ABF8B5E (0x0000001427179670 0x0000001427179600 0x0000000000000000 0x0000000000000001), ?Undo@SwEditShell@@QEAAXG@Z() + 0x13E bytes(s)
Comment 1 Xisco Faulí 2020-12-21 14:06:28 UTC
Reproduced in

Version: 7.2.0.0.alpha0+
Build ID: ad8485ebe11396aaac68095ef9eec819de6af26c
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 2 NISZ LibreOffice Team 2020-12-21 14:44:50 UTC
The slight change in behavior started with:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=469f472fb31c4ef1a57f8ec54ba750c1332feec2

author	László Németh <nemeth@numbertext.org>	2020-11-25 10:55:13 +0100
committer	László Németh <nemeth@numbertext.org>	2020-11-26 08:32:30 +0100

tdf#138479 tdf#137769 sw ChangesInMargin: fix Undo in paragraphs
Comment 3 Commit Notification 2020-12-22 14:25:53 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/207a709bcf1af2eee7fbac8d3c30de6f8d43a8a3

tdf#139120 tdf#139127 sw: fix empty redline related crash

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-12-23 18:07:34 UTC
Verified in

Version: 7.2.0.0.alpha0+
Build ID: b36a40a809206a57160108b3361f42420f619c2e
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@László Németh, thanks for fixing this issue!! Should it be closed as RESOLVED FIXED ?
Comment 5 Commit Notification 2020-12-23 18:09:37 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/8dd2e9900d4f00dbc7ce289d9ce9a9c6739b4851

tdf#139120 tdf#139127 sw: fix empty redline related crash

It will be available in 7.1.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 László Németh 2020-12-28 11:13:52 UTC
(In reply to Xisco Faulí from comment #4)

> @László Németh, thanks for fixing this issue!! Should it be closed as
> RESOLVED FIXED ?

@Xisco: Yes, I'm doing, sorry for the delay. Many thanks for verifying and back porting!